<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:layout_below="@+id/navigation_bar">

        <LinearLayout
            android:orientation="vertical"
            android:paddingBottom="5dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:id="@+id/printer"
                android:background="@drawable/select_setting_border"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <TextView
                    android:textSize="17sp"
                    android:textStyle="bold"
                    android:textColor="@android:color/black"
                    android:gravity="center_vertical"
                    android:layout_gravity="left"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="8dp"
                    android:text="@string/printer" />

                <TextView
                    android:textSize="17sp"
                    android:textColor="@android:color/darker_gray"
                    android:ellipsize="end"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right"
                    android:id="@+id/printer_name"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="2dp"
                    android:layout_marginRight="5dp"
                    android:text="@string/str_lbl_title_scan"
                    android:singleLine="true"
                    android:layout_weight="1" />

                <ImageView
                    android:layout_gravity="center_vertical"
                    android:id="@+id/imageViewPrinterLocation"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/print_local"
                    android:scaleType="fitXY" />

                <ImageView
                    android:layout_gravity="center_vertical"
                    android:id="@+id/printer_next_screen_imv"
                    android:layout_width="31dp"
                    android:layout_height="31dp"
                    android:src="@drawable/next_screen"
                    android:scaleType="fitXY" />
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <FrameLayout
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/copies" />

                    <LinearLayout
                        android:layout_gravity="right"
                        android:orientation="horizontal"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <Button
                            android:layout_gravity="center_vertical"
                            android:id="@+id/copies_minus_button"
                            android:text="-"
                            style="@style/PlusMinusButton" />

                        <TextView
                            android:textSize="17sp"
                            android:textColor="@android:color/black"
                            android:gravity="right|center_vertical|center_horizontal|center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/copies"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:minWidth="30dp"
                            android:text="0" />

                        <Button
                            android:layout_gravity="center_vertical"
                            android:id="@+id/copies_plus_button"
                            android:text="+"
                            style="@style/PlusMinusButton" />
                    </LinearLayout>
                </FrameLayout>

                <View
                    android:id="@+id/page_range_separator"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/page_range_setting"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="left|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/page_range" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/black"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/page_range_value"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/page_range_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/LinearLayout01"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/paper_size"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:id="@+id/TextView01"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/paper_size" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/paper_size_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/paper_size"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/paper_size_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/View01"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/paper_type"
                    android:background="@drawable/setting_border_1"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:id="@+id/TextView02"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/paper_type" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/paper_type_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/paper_type"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/paper_type_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/View02"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/layout"
                    android:background="@drawable/setting_border_1"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:id="@+id/TextView03"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/layout" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/layout_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/layout"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/layout_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/View03"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/quality"
                    android:background="@drawable/setting_border_1"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:id="@+id/TextView04"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/quality" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/quality_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/quality"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/quality_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/paper_source"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/paper_source" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="left"
                        android:id="@+id/paper_source_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/paper_source"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/paper_source_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:background="@drawable/setting_border"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/color"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/color" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/color_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/color"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/color_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/duplex_view"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/duplex"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/duplex" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/duplex_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/duplex"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/duplex_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/feed_direction_view"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:id="@+id/feed_direction"
                    android:background="@drawable/select_setting_border"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/feed_direction" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/feed_direction_info"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:text="@string/feed_direction"
                        android:singleLine="true"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/feed_direction_next_screen_imv"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:gravity="center_horizontal"
                android:orientation="horizontal"
                android:id="@+id/printdate"
                android:background="@drawable/select_setting_border"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <TextView
                    android:textSize="17sp"
                    android:textStyle="bold"
                    android:textColor="@android:color/black"
                    android:gravity="center_vertical"
                    android:layout_gravity="left"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="8dp"
                    android:text="@string/date_print" />

                <TextView
                    android:textSize="17sp"
                    android:textColor="@android:color/darker_gray"
                    android:ellipsize="end"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right"
                    android:id="@+id/printdate_info"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="2dp"
                    android:layout_marginRight="5dp"
                    android:text="@string/date_print"
                    android:singleLine="true"
                    android:layout_weight="1" />

                <ImageView
                    android:layout_gravity="center_vertical"
                    android:id="@+id/printdate_next_screen_imv"
                    android:layout_width="31dp"
                    android:layout_height="31dp"
                    android:src="@drawable/next_screen"
                    android:scaleType="fitXY" />
            </LinearLayout>

            <LinearLayout
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:id="@+id/changecolor"
                android:background="@drawable/setting_border"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/brightness" />

                    <LinearLayout
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:orientation="horizontal"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <Button
                            android:textSize="20sp"
                            android:gravity="center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/brightness_minus_button"
                            android:layout_width="38dp"
                            android:layout_height="38dp"
                            android:text="-" />

                        <TextView
                            android:textSize="17sp"
                            android:textColor="@android:color/black"
                            android:gravity="right|center_vertical|center_horizontal|center"
                            android:layout_gravity="right"
                            android:id="@+id/brightness"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:minWidth="30dp"
                            android:text="0" />

                        <Button
                            android:textSize="20sp"
                            android:gravity="center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/brightness_plus_button"
                            android:layout_width="38dp"
                            android:layout_height="38dp"
                            android:text="+" />
                    </LinearLayout>
                </FrameLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <FrameLayout
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/contrast" />

                    <LinearLayout
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:orientation="horizontal"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <Button
                            android:textSize="20sp"
                            android:gravity="center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/contrast_minus_button"
                            android:layout_width="38dp"
                            android:layout_height="38dp"
                            android:text="-" />

                        <TextView
                            android:textSize="17sp"
                            android:textColor="@android:color/black"
                            android:gravity="right|center_vertical|center_horizontal|center"
                            android:layout_gravity="right"
                            android:id="@+id/contrast"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:minWidth="30dp"
                            android:text="0" />

                        <Button
                            android:textSize="20sp"
                            android:gravity="center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/contrast_plus_button"
                            android:layout_width="38dp"
                            android:layout_height="38dp"
                            android:text="+" />
                    </LinearLayout>
                </FrameLayout>

                <View
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <FrameLayout
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/saturation" />

                    <LinearLayout
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:orientation="horizontal"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <Button
                            android:textSize="20sp"
                            android:gravity="center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/saturation_minus_button"
                            android:layout_width="38dp"
                            android:layout_height="38dp"
                            android:text="-" />

                        <TextView
                            android:textSize="17sp"
                            android:textColor="@android:color/black"
                            android:gravity="right|center_vertical|center_horizontal|center"
                            android:layout_gravity="right"
                            android:id="@+id/saturation"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:minWidth="30dp"
                            android:text="0" />

                        <Button
                            android:textSize="20sp"
                            android:gravity="center"
                            android:layout_gravity="center_vertical"
                            android:id="@+id/saturation_plus_button"
                            android:layout_width="38dp"
                            android:layout_height="38dp"
                            android:text="+" />
                    </LinearLayout>
                </FrameLayout>
            </LinearLayout>

            <LinearLayout
                android:orientation="vertical"
                android:id="@+id/viewGroupPhotoEffect"
                android:background="@drawable/setting_border"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:layout_marginRight="5dp">

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/apf_setting_layout"
                    android:background="@drawable/select_setting_border"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/apf_setting_title" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/apf_setting_text"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/EPS_APF_ON"
                        android:maxLines="1"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/apf_setting_imageview"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>

                <View
                    android:id="@+id/apfSeparatorView"
                    android:background="@color/light"
                    android:layout_width="match_parent"
                    android:layout_height="1dp" />

                <LinearLayout
                    android:orientation="horizontal"
                    android:id="@+id/sharpness_setting_layout"
                    android:background="@drawable/setting_border"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="45dp">

                    <TextView
                        android:textSize="17sp"
                        android:textStyle="bold"
                        android:textColor="@android:color/black"
                        android:gravity="center_vertical"
                        android:layout_gravity="left"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="8dp"
                        android:text="@string/sharpness_setting_title" />

                    <TextView
                        android:textSize="17sp"
                        android:textColor="@android:color/darker_gray"
                        android:ellipsize="end"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right"
                        android:id="@+id/sharpness_setting_text"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="5dp"
                        android:text="@string/EPS_APF_RDE_CORRECT"
                        android:maxLines="1"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_gravity="center_vertical"
                        android:id="@+id/sharpness_setting_imageview"
                        android:layout_width="31dp"
                        android:layout_height="31dp"
                        android:src="@drawable/next_screen"
                        android:scaleType="fitXY" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

    <RelativeLayout
        android:id="@+id/progressGetOption"
        android:visibility="gone"
        style="@style/CoverProgress">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />
    </RelativeLayout>
</RelativeLayout>
